// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import mock "github.com/stretchr/testify/mock"

// ScenarioStorageUsecase is an autogenerated mock type for the ScenarioStorageUsecase type
type ScenarioStorageUsecase struct {
	mock.Mock
}

// Clear provides a mock function with given fields: ctx, scenarioActionId, socketId
func (_m *ScenarioStorageUsecase) Clear(ctx string, scenarioActionId uint, socketId uint) error {
	ret := _m.Called(ctx, scenarioActionId, socketId)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, uint, uint) error); ok {
		r0 = rf(ctx, scenarioActionId, socketId)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// ClearContext provides a mock function with given fields: ctx
func (_m *ScenarioStorageUsecase) ClearContext(ctx string) error {
	ret := _m.Called(ctx)

	var r0 error
	if rf, ok := ret.Get(0).(func(string) error); ok {
		r0 = rf(ctx)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Get provides a mock function with given fields: ctx, scenarioActionId, socketId
func (_m *ScenarioStorageUsecase) Get(ctx string, scenarioActionId uint, socketId uint) ([]byte, error) {
	ret := _m.Called(ctx, scenarioActionId, socketId)

	var r0 []byte
	if rf, ok := ret.Get(0).(func(string, uint, uint) []byte); ok {
		r0 = rf(ctx, scenarioActionId, socketId)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]byte)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string, uint, uint) error); ok {
		r1 = rf(ctx, scenarioActionId, socketId)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Set provides a mock function with given fields: ctx, scenarioActionId, socketId, payload
func (_m *ScenarioStorageUsecase) Set(ctx string, scenarioActionId uint, socketId uint, payload []byte) error {
	ret := _m.Called(ctx, scenarioActionId, socketId, payload)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, uint, uint, []byte) error); ok {
		r0 = rf(ctx, scenarioActionId, socketId, payload)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
